ActaParserInternal::Label Struct Reference

Internal: class used to store a list type in ActaParser. More...

## Public Member Functions

| Label (int type=-1)
| constructor
bool | operator== (Label const &lbl) const
| operator==
bool | operator!= (Label const &lbl) const
| operator=!

## Public Attributes

int | m_type
| the label type

## Friends

std::ostream & | operator<< (std::ostream &o, Label const &lbl)
| operator<<

## Detailed Description

Internal: class used to store a list type in ActaParser.

## Constructor & Destructor Documentation

## Label()

ActaParserInternal::Label::Label | ( | int | type = -1 | ) |

inline explicit

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## operator!=()

bool ActaParserInternal::Label::operator!= | ( | Label const & | lbl | ) | const

inline

operator=!

## operator==()

bool ActaParserInternal::Label::operator== | ( | Label const & | lbl | ) | const

inline

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Label const & | lbl )

friend

operator<<

## Member Data Documentation

## m_type

int ActaParserInternal::Label::m_type

the label type

Referenced by Label(), operator<<, and operator==().

The documentation for this struct was generated from the following file:

- ActaParser.cxx